/*
  
Macro Scripts File
Developed:  	15 July 2010
Version:  		3ds MAX 9 SP1
Script Name:	UVWSquare
Description: 	Applies a uvw square material to the object to easily see if elements 
have the same texture size. Shift click to undo and return to main material.
Author:			Giuliano "PapiGiulio" Garau 
Email:			g.garau@gmail.com
www:			    http://www.papigiulio.net

Disclaimer:
Use this script at your own risk.
Any damage caused by this script is not the responsibility of the author.

*/
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK
macroScript UvwSquare
category:		"_PapiGiulio"
buttonText:	"PapiTools"
Tooltip:			"PapiTools - UVWSquare - Applies square material to model to confirm UVW size"
icon:#("uvwsquare",1)
(
		if keyboard.shiftPressed then 
			(
				indexMat=24
				for i in selection do
				(
					i.material = meditMaterials[24]
				)
			)
			else
		(
			if $ == undefined  or selection.count>1 then
		(
			format "select 1 object"
			messagebox "Select 1 object" title:"Oops!"
		)
		else
		with undo on
		(
		MatBank=#()
							indexMat=24
							for i in 1 to selection.count where selection[i].material!=undefined do append MatBank selection[i].material
								for i=1 to MatBank.count do 
								(
									setmeditmaterial indexMat MatBank[i]
									indexMat +=1
									)
		loadMaterialLibrary "C:\FINE\uvwsquare.mat"
		--MatArray is an array containing material names from the current material number, its size must be 24 or less (since there are only 24 material editor slots)
		MatArray = #("uvwsquare")
		for i=1 to MatArray.count do
		   (
		   MeditMaterials[23] = currentMaterialLibrary[1]
		   )
		$.material = meditmaterials[23]
		showTextureMap $.material on
		max tool zoomextents all 
		max modify mode
		)
	)
)